require 'test_helper'

module Workarea
  class Registry
    class ItemTest < TestCase
      def test_validation
        item = Registry::Item.new(quantity: 0)

        refute(item.valid?)
        assert(item.errors[:quantity].present?)
        assert(item.errors[:product_id].present?)
        assert(item.errors[:sku].present?)

        item.product_id = '123'
        item.sku = 'SKU'
        item.quantity = 1

        assert(item.valid?)
      end
    end
  end
end
